### Function Macro

# GLib GNUC_STRFTIME

since: 2.60

#### Declaration [src]

    #define G_GNUC_STRFTIME (
      format_idx
    )

#### Description [src]

Expands to the GNU C `strftime` format function attribute if the compiler is gcc. This is used for declaring functions which take a format argument which is passed to `strftime()` or an API implementing its formats. It allows the compiler check the format passed to the function.

    gsize my_strftime (MyBuffer *buffer,
                       const char *format,
                       const struct tm *tm) G_GNUC_STRFTIME (2);

See the GNU C documentation for details.

Available since: 2.60

This function is not directly available to language bindings.

#### Parameters

`format_idx`

  Type: `-`

  The index of the argument corresponding to the format string (the arguments are numbered from 1).